For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all ReportConfigurations
      • POSTCreate a report configuration
      • GETGet ReportConfiguration
      • PATCHUpdate a report configuration
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIReport Configurations

Create a report configuration

POST
/v:version/report-configurations
POST
/v:version/report-configurations
$curl -X POST https://test.api.solvimon.com/v1/report-configurations \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "report_code": "INVOICE"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "report_code": "INVOICE",
5 "report_definition": {
6 "object_type": "string",
7 "report_code": "INVOICE",
8 "category": "INVOICE",
9 "name": "string",
10 "description": "string",
11 "file_name_format": "string",
12 "run_types": [
13 "string"
14 ],
15 "target_resource_types": [
16 "string"
17 ],
18 "columns": [
19 {
20 "name": "string",
21 "order": 1,
22 "default": true,
23 "optional": true
24 }
25 ],
26 "one_off_parameters": [
27 {
28 "name": "report_date",
29 "type": "CUSTOMER_ID",
30 "required": true
31 }
32 ],
33 "scheduled_parameters": [
34 {
35 "name": "report_date",
36 "type": "CUSTOMER_ID",
37 "required": true
38 }
39 ],
40 "trigger_parameters": [
41 {
42 "name": "report_date",
43 "type": "CUSTOMER_ID",
44 "required": true
45 }
46 ]
47 },
48 "override_columns": [
49 "string"
50 ],
51 "available_custom_field_columns": [
52 {
53 "name": "string",
54 "custom_field": {
55 "object_type": "string",
56 "id": "string",
57 "reference": "string",
58 "name": "string",
59 "description": "string",
60 "resource_type": "PLATFORM",
61 "multiple_values": true,
62 "unique_value": true,
63 "copy_value_to_invoice": true,
64 "integration_id": "string",
65 "integration_reference": "string",
66 "type": "STRING",
67 "enum_values": [
68 "string"
69 ]
70 }
71 }
72 ]
73}

Requires the REPORT_CONFIGURATION.CREATE permission.

Was this page helpful?
Previous

Get ReportConfiguration

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
report_codeenumRequired
report_definitionobject or nullOptional
override_columnslist of stringsOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
report_codeenum
report_definitionobject or null
override_columnslist of strings
available_custom_field_columnslist of objects or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error